summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2021-12-05 11:27:25 +0200
committerLars Wirzenius <liw@liw.fi>2021-12-05 11:27:25 +0200
commit0cdf96eaf0782021a0bade74d742bf70c1569244 (patch)
treebf3402159c90805ee0816d5a2bc3ef2f1ec84665
parent0ae698ba8e78f447186c9390c74af8155505784e (diff)
downloadobnam-benchmark-0cdf96eaf0782021a0bade74d742bf70c1569244.tar.gz
test: add ./check script to build and test project
Sponsored-by: author
-rwxr-xr-xcheck10
1 files changed, 10 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..8673b4d
--- /dev/null
+++ b/check
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -euo pipefail
+
+cargo clippy -q --all-targets -- -D clippy::all
+subplot docgen obnam-benchmark.md -o obnam-benchmark.html
+subplot docgen obnam-benchmark.md -o obnam-benchmark.pdf
+cargo build --all-targets -q
+chronic cargo test -q
+cargo fmt -- --check